# Uses of Class
org.eclipse.swt.widgets.TabFolder

Packages that use TabFolder
Package
Description
org.eclipse.swt.widgets
SWT widget public API classes.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of TabFolder in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return TabFolder
Modifier and Type
Method
Description
`TabFolder`
TabItem.`getParent()`
Returns the receiver's parent, which must be a `TabFolder`.
Constructors in org.eclipse.swt.widgets with parameters of type TabFolder
Modifier
Constructor
Description
``
`TabItem(TabFolder parent, int style)`
Constructs a new instance of this class given its parent (which must be a `TabFolder`) and a style value describing its behavior and appearance.
``
`TabItem(TabFolder parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `TabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

## Uses of TabFolder in org.eclipse.ui.part

Methods in org.eclipse.ui.part that return TabFolder
Modifier and Type
Method
Description
`protected TabFolder`
MultiPageEditor.`getFolder()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns this editor's workbook.